| Home | Libraries | People | FAQ | More

## Macro BOOST_CONTRACT_OVERRIDES

BOOST_CONTRACT_OVERRIDES — Declare multiple override type traits at once naming them `override_...` (for convenience).

## Synopsis

    // In header: <boost/contract/override.hpp>

    BOOST_CONTRACT_OVERRIDES(...)

## Description

This variadic macro is provided for convenience as `BOOST_CONTRACT_OVERRIDES(f_1, f_2, ..., f_n)` expands to code equivalent to:

    BOOST_CONTRACT_OVERRIDE(f_1)
    BOOST_CONTRACT_OVERRIDE(f_2)
    ...
    BOOST_CONTRACT_OVERRIDE(f_n)

On compilers that do not support variadic macros, the override type traits can be equivalently programmed one-by-one calling `BOOST_CONTRACT_OVERRIDE` for each function name as shown above.

See Also: Public Function Overrides

Parameters:

`...` | A comma separated list of one or more function names of public function overrides. (Each function name should never contain commas because it is an identifier.)